<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style>
        * {
            font-family: Calibri;
            margin: 0;
            padding: 0;

        }

        html,
        body {
            width: 100%;
            height: 100%;
         
        }

        #container{
            width: 100%;
            height: 100%;
            display: flex;
            flex-wrap: wrap;

        }
              
        #header {
            flex: 100%;
            background: darksalmon;
            height: 150px;
            order: 1;
        }
        
        #footer {
            flex: 100%;
            background: rgb(180, 180, 111);
            height: 50px;
            order: 5;

        }
        
        #left {
            flex: 2;
            background: rgb(107, 199, 130);
            height: calc(100% - 200px);
            order: 2;
        }

        #right {
            flex: 1;
            background: rgb(119, 119, 104);
            order: 3;
        }

        #main {
            flex: 4;
            background: rgb(141, 147, 223);
            order: 4;
        }
       
        @media screen and (max-width: 500px){
            #main{
                flex: 100%;
                height: calc(100% - 200px - 25%);
            }
            #left {
                flex: 1;
                height: 25%;

            }
        }

       </style>

</head>

<body>
    <div id="container">
        <div id="header">Header</div>
        <div id="left">Left</div>
        <div id="main">Main</div>
        <div id="right">Right</div>
        <div id="footer">Footer</div>
    </div>
</body>

</html>